img {
  height:50%;
  width: 50%;
  margin: auto;
}

tui-input-date {
  width: 30%;
  padding-right: 0.5rem;
}

td,
th {
  white-space: pre-wrap;
  border-color: transparent;
  border-right-color: var(--tui-base-04);
  max-width: 25vw;
  min-width: 25vw;
  word-wrap: break-word;

  &:last-child {
    border-right-color: transparent;
  }
}

tbody {
  border-color: transparent;
}

th {
  text-align: center;
}

table {
  table-layout: fixed;
  max-width: 100%;
}

ul {
  width: 100%;
}

form {
  display: flex;
  padding: 0.5rem;
}

.container {
  width: fit-content;
  height: fit-content;
  position: relative;
  display: flex;
  margin: auto;
}

.container div {
  position: absolute;
  width: fit-content;
  height: 50%;
  left: 50%;
  transform-origin: center bottom;
  transform: translateX(-50%) rotate(calc((var(--n) - 1) * 45deg));
}

.container div > * {
  width: 5vw;
  height: 5vw;
  border-radius: 50%;
}

.central_circle {
  position: absolute;
  top: 45%;
  left: 47.25% !important;
  width: 5vw !important;
  height: 5vw !important;
  border-radius: 50%;
}

.container div:nth-child(1) {
  --n: 1;
}

.container div:nth-child(2) {
  --n: 2;
}

.container div:nth-child(3) {
  --n: 3;
}

.container div:nth-child(4) {
  --n: 4;
}

.container div:nth-child(5) {
  --n: 5;
}

.container div:nth-child(6) {
  --n: 6;
}

.container div:nth-child(7) {
  --n: 7;
}

.container div:nth-child(8) {
  --n: 8;
}

.circle {
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: 'Schoolbell', arial, serif;

  background:transparent;
  font-size: 250%;
}

.circle:hover {
  box-shadow:2px 6px 4px -6px hsla(0,0%,0%,.3);
  border:dashed 2px #41403E;
}

@media only screen and (max-width: 850px) {
  tui-input-date {
    width: 100%;
  }

  form {
    width: 100%;
  }

  img {
    height: 100%;
    width: 100%;
  }

  .container div > *{
    width: 10.5vw;
    height: 10.5vw;
  }

  .central_circle {
    width: 10.5vw !important;
    height: 10.5vw !important;
    left: 45% !important;
  }

  th, td {
    max-width: 50vw;
    min-width: 50vw;
  }
}

